Bug 4826 - Error unpacking /mnt/cdrom file
: Error unpacking /mnt/cdrom file
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/filesystem)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-07-19 10:52 by
Modified: 2005-07-13 15:46 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-07-19 10:52:28
Может создавать /mnt/cdrom и /mnt/floppy в %post и сдклать их %ghost ? 
А то при установке пакета ошибку возвращает.
------- Comment #1 From 2004-08-02 18:40:22 -------
У пакета filesystem не может быть скриптов, он устанавливается до /bin/sh.
------- Comment #2 From 2004-08-02 21:18:49 -------
Фигово :-( 
Тогда не представляю, как сделать красиво :-( 
------- Comment #3 From 2004-08-02 21:31:04 -------
С другой стороны, эти каталоги можно вообще убрать из пакета, ибо для
неинтерактивной системы они вообще не нужны.
------- Comment #4 From 2004-08-02 21:58:32 -------
К тому же hotplug их создает 
------- Comment #5 From 2004-09-25 17:43:31 -------
А воз и ныне там 
# rpm -qf /mnt/cdrom 
filesystem-2.1.7-alt2 
Всё-таки смонтированный /mnt/cdrom вызывает ошибку при обновлении пакета. 
------- Comment #6 From 2004-10-02 19:07:05 -------
Fixed in filesystem-2.3.0-alt1
------- Comment #7 From 2004-10-07 19:23:21 -------
Кстати то же самое с /proc в vserver :-(